package com.netapp.myasup.reportRest.bean;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

public class RawData {

	List<Eos> eosControllers = new ArrayList<Eos>();
	List<Eos> eosShelfs = new ArrayList<Eos>();
	List<Eos> eosDrives = new ArrayList<Eos>();
	Map<String, OsFirmware> osFirmwareMap = new HashMap<String, OsFirmware>();
	Map<String, ShelfDiskFwReview> shelfDiskMap = new HashMap<String, ShelfDiskFwReview>();
	Map<String, Map<String, CapacityForecastData>> capacityForecaseMap = new LinkedHashMap<String, Map<String, CapacityForecastData>>();

	List<Disk> disks = new ArrayList<Disk>();
	List<Volume> volumes = new ArrayList<Volume>();
	List<Aggregate> aggregates = new ArrayList<Aggregate>();
	List<Lun> luns = new ArrayList<Lun>();
	List<VolumeOption> volumeOptions = new ArrayList<VolumeOption>();
	/*List<SystemOption> systemOptions = new ArrayList<SystemOption>();
	List<License> licenses = new ArrayList<License>();*/
	List<SupportCaseDetails> supportCaseDetails = new ArrayList<SupportCaseDetails>();
	Map<String, List<LatestFw>> osLatestFw = new HashMap<String, List<LatestFw>>();
	Map<String, List<LatestFw>> mbLatestFw = new HashMap<String, List<LatestFw>>();
	Map<String, List<LatestFw>> shelfLatestFw = new HashMap<String, List<LatestFw>>();
	Map<String, List<LatestFw>> driveLatestFw = new HashMap<String, List<LatestFw>>();
	Map<String, List<LatestFw>> rlmLatestFw = new HashMap<String, List<LatestFw>>();

	public List<Eos> getEosControllers() {
		return eosControllers;
	}

	public void setEosControllers(List<Eos> eosControllers) {
		this.eosControllers = eosControllers;
	}

	public List<Eos> getEosShelfs() {
		return eosShelfs;
	}

	public void setEosShelfs(List<Eos> eosShelfs) {
		this.eosShelfs = eosShelfs;
	}

	public List<Eos> getEosDrives() {
		return eosDrives;
	}

	public void setEosDrives(List<Eos> eosDrives) {
		this.eosDrives = eosDrives;
	}

	public Map<String, OsFirmware> getOsFirmwareMap() {
		return osFirmwareMap;
	}

	public void setOsFirmwareMap(Map<String, OsFirmware> osFirmwareMap) {
		this.osFirmwareMap = osFirmwareMap;
	}

	public Map<String, ShelfDiskFwReview> getShelfDiskMap() {
		return shelfDiskMap;
	}

	public void setShelfDiskMap(Map<String, ShelfDiskFwReview> shelfDiskMap) {
		this.shelfDiskMap = shelfDiskMap;
	}

	public Map<String, Map<String, CapacityForecastData>> getCapacityForecaseMap() {
		return capacityForecaseMap;
	}

	public void setCapacityForecaseMap(
			Map<String, Map<String, CapacityForecastData>> capacityForecaseMap) {
		this.capacityForecaseMap = capacityForecaseMap;
	}

	public List<Disk> getDisks() {
		return disks;
	}

	public void setDisks(List<Disk> disks) {
		this.disks = disks;
	}

	public List<Volume> getVolumes() {
		return volumes;
	}

	public void setVolumes(List<Volume> volumes) {
		this.volumes = volumes;
	}

	public List<Aggregate> getAggregates() {
		return aggregates;
	}

	public void setAggregates(List<Aggregate> aggregates) {
		this.aggregates = aggregates;
	}

	public List<Lun> getLuns() {
		return luns;
	}

	public void setLuns(List<Lun> luns) {
		this.luns = luns;
	}

	public List<VolumeOption> getVolumeOptions() {
		return volumeOptions;
	}

	public void setVolumeOptions(List<VolumeOption> volumeOptions) {
		this.volumeOptions = volumeOptions;
	}

	/*public List<SystemOption> getSystemOptions() {
		return systemOptions;
	}

	public void setSystemOptions(List<SystemOption> systemOptions) {
		this.systemOptions = systemOptions;
	}

	public List<License> getLicenses() {
		return licenses;
	}

	public void setLicenses(List<License> licenses) {
		this.licenses = licenses;
	}*/

	public List<SupportCaseDetails> getSupportCaseDetails() {
		return supportCaseDetails;
	}

	public void setSupportCaseDetails(
			List<SupportCaseDetails> supportCaseDetails) {
		this.supportCaseDetails = supportCaseDetails;
	}

	public Map<String, List<LatestFw>> getOsLatestFw() {
		return osLatestFw;
	}

	public void setOsLatestFw(Map<String, List<LatestFw>> osLatestFw) {
		this.osLatestFw = osLatestFw;
	}

	public Map<String, List<LatestFw>> getMbLatestFw() {
		return mbLatestFw;
	}

	public void setMbLatestFw(Map<String, List<LatestFw>> mbLatestFw) {
		this.mbLatestFw = mbLatestFw;
	}

	public Map<String, List<LatestFw>> getShelfLatestFw() {
		return shelfLatestFw;
	}

	public void setShelfLatestFw(Map<String, List<LatestFw>> shelfLatestFw) {
		this.shelfLatestFw = shelfLatestFw;
	}

	public Map<String, List<LatestFw>> getDriveLatestFw() {
		return driveLatestFw;
	}

	public void setDriveLatestFw(Map<String, List<LatestFw>> driveLatestFw) {
		this.driveLatestFw = driveLatestFw;
	}

	public Map<String, List<LatestFw>> getRlmLatestFw() {
		return rlmLatestFw;
	}

	public void setRlmLatestFw(Map<String, List<LatestFw>> rlmLatestFw) {
		this.rlmLatestFw = rlmLatestFw;
	}

}
